gnutls_x509_crt_get_issuer_dn_oid(3)

NAME
gnutls_x509_crt_get_issuer_dn_oid - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_get_issuer_dn_oid(gnutls_x509_crt_t cert, int indx, void * oid, size_t * oid_size);

ARGUMENTS

gnutls_x509_crt_t cert
    should contain a gnutls_x509_crt_t structure

int indx
    This specifies which OID to return. Use (0) to get the first one.

void * oid
    a pointer to a buffer to hold the OID (may be null)

size_t * oid_size
    initially holds the size of oid

DESCRIPTION
This function will extract the OIDs of the name of the Certificate issuer specified by the given index. If oid is null then only the size will be filled. The oid returned will be null terminated, although oid_size will not account for the trailing null.

RETURNS
GNUTLS_E_SHORT_MEMORY_BUFFER if the provided buffer is not long enough, and in that case the buf_size will be updated with the required size. GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE if there are no data in the current index. On success 0 is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/